/* Style for pA login dialogs */
/* Separated from proalpha.scss for better performance at startup */

#wrapper {
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    position: absolute;
    background-image: url('/sc/images/proalpha/login_background.jpg');
    background-repeat: no-repeat;
    background-size: cover;
}

#wrapperWelcome {
    backdrop-filter: blur(4px);
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    text-align: center;
}

#loginForm * {
    text-align: left;
    box-sizing: border-box;
}

#loginForm {
    display: block;
    height: 440px;
    width: 480px;
    background: #ffffff;
    border-radius: 16px;
    position: absolute;
    top: calc(50% - 117px);
    left: calc(50% - 240px);
    font-family: 'Segoe UI', sans-serif;
}

#loginForm img#logo {
    width: 172px;
    height: 172px;
    margin-top: -86px;
}

#loginForm h1 {
    font-size: 32px;
    color: #184d84;
    letter-spacing: 0;
    font-weight: 700;
    margin: 30px 40px 20px 40px;
}

#loginForm label {
    font-size: 16px;
    color: #184d84;
    letter-spacing: 0;
    font-weight: 700;
    margin: 2px 40px 10px 40px;
    display: block;
}

#loginForm input {
    border: 1px solid #d7dfe8;
    border-radius: 2px;
    width: 400px;
    height: 40px;
    margin: 0 40px 20px 40px;
    padding: 0 12px;
}

#loginForm button#login {
    background: #184d84;
    border-radius: 2px;
    color: #ffffff;
    display: block;
    width: 400px;
    height: 40px;
    font-size: 16px;
    text-align: center;
    line-height: 16px;
    border: none;
    margin: 10px 40px 0 40px;
    cursor: pointer;
}

.errorbox {
    background: #184d84;
    color: #ffffff;
    display: block;
    border-radius: 16px;
    position: absolute;
    top: calc(50% - 120px);
    left: calc(50% - 200px);
    font-family: 'Segoe UI', sans-serif;
    width: 400px;
    font-size: 16px;
    text-align: center;
    line-height: 16px;
    border: none;
    cursor: pointer;
    z-index: 10;
    box-shadow: 2px 2px grey;
}

.errorclose {
    position: absolute;
    right: 10px;
    top: 10px;
}

.errormsg {
    position: relative;
    display: flex;
    justify-content: center;
    margin: 25px;
}

.infobox {
    background: var(--pa-company-red);
    border-radius: 2px;
    color: var(--primary);
    display: none;
    width: 400px;
    font-size: 16px;
    text-align: center;
    line-height: 16px;
    margin: 20px 40px 40px 40px;
    overflow: hidden;
}

.infomsg {
    margin: 25px;
}

.transition {
    max-height: var(--calc-height);
    -webkit-transition: max-height 0.2s ease-in,
                margin-bottom 0.1s ease-in 0.2s;  
    -moz-transition: max-height 0.2s ease-in,
                margin-bottom 0.1s ease-in 0.2s;  
    -o-transition: max-height 0.2s ease-in,
                margin-bottom 0.1s ease-in 0.2s;  
    transition: max-height 0.2s ease-in,
                margin-bottom 0.1s ease-in 0.2s;  
}

.hidden {
    max-height: 0px;
    margin-bottom: 0;
}

#wrapperWelcome footer {
    color: #ffffff;
    font-size: 14px;
    text-align: right;
    position: absolute;
    bottom: 40px;
    right: 40px;
}

#wrapperWelcome footer a {
    font-weight: bold;
    text-decoration: underline;
    color: #ffffff;
}

#wrapperWelcome footer a:hover {
    text-decoration: none;
}

#wrapperWelcome footer .legal-info-link {
    margin: 0 24px;
}
